> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trychroma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List sources

> Lists sources owned by a tenant.



## OpenAPI

````yaml /sync.openapi.json get /api/v1/sources
openapi: 3.1.0
info:
  title: Chroma Sync Service
  description: >-
    Chroma Sync Service provides APIs for managing data synchronization sources
    and invocations. The service supports syncing content from GitHub
    repositories, web scrape targets, and S3 buckets to Chroma collections.
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://sync.trychroma.com
security: []
paths:
  /api/v1/sources:
    get:
      tags:
        - Source
      summary: List sources
      description: Lists sources owned by a tenant.
      operationId: list_sources
      parameters:
        - name: database_name
          in: query
          description: Database name
          required: false
          schema:
            type: string
        - name: source_type
          in: query
          description: Filter sources by type
          required: false
          schema:
            $ref: fe0202da-6c0d-4f60-b832-5123f04e890f
        - name: limit
          in: query
          description: Limit for pagination. Default is 100
          required: false
          schema:
            type: integer
            minimum: 0
        - name: offset
          in: query
          description: Offset for pagination. Default is 0
          required: false
          schema:
            type: integer
            minimum: 0
        - name: order_by
          in: query
          description: Order results by creation time. Default is DESC
          required: false
          schema:
            $ref: 70fea11b-6cb5-4b0a-8638-acfd3a4cc772
      responses:
        '200':
          description: Found sources
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Vec'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Source not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - x-chroma-token: []
components:
  schemas:
    Vec:
      type: array
      items:
        type: object
        required:
          - id
          - status
          - metadata
          - created_at
        properties:
          created_at:
            type: string
            format: date-time
          id:
            $ref: '#/components/schemas/JobId'
          metadata:
            $ref: '#/components/schemas/IndexJobMetadata'
          source_id:
            oneOf:
              - type: 'null'
              - $ref: '#/components/schemas/SourceId'
          status:
            $ref: '#/components/schemas/JobStatus'
    ErrorResponse:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: string
        message:
          type: string
    JobId:
      type: string
      format: uuid
    IndexJobMetadata:
      allOf:
        - $ref: '#/components/schemas/IndexJobMetadataKind'
        - type: object
          required:
            - database_name
            - collection_name
          properties:
            collection_name:
              type: string
            database_name:
              type: string
    SourceId:
      type: string
      format: uuid
    JobStatus:
      oneOf:
        - type: string
          enum:
            - pending
        - type: string
          enum:
            - processing
        - type: object
          required:
            - complete
          properties:
            complete:
              type: object
              required:
                - finished_at
                - duration_ms
              properties:
                duration_ms:
                  type: integer
                  format: int64
                  minimum: 0
                finished_at:
                  type: string
                  format: date-time
        - type: object
          required:
            - failed
          properties:
            failed:
              type: object
              required:
                - error
              properties:
                error:
                  type: string
        - type: string
          enum:
            - cancelled
    IndexJobMetadataKind:
      oneOf:
        - type: string
          enum:
            - web_scrape
        - type: object
          required:
            - github
          properties:
            github:
              type: object
              required:
                - git_ref_identifier
              properties:
                git_ref_identifier:
                  $ref: '#/components/schemas/GitRefIdentifier'
        - type: object
          required:
            - s3
          properties:
            s3:
              type: object
              required:
                - bucket_name
              properties:
                additional_metadata:
                  type:
                    - object
                    - 'null'
                  additionalProperties: {}
                  propertyNames:
                    type: string
                bucket_name:
                  type: string
                custom_id:
                  type:
                    - string
                    - 'null'
                object_key:
                  type:
                    - string
                    - 'null'
        - type: string
          enum:
            - Unknown
    GitRefIdentifier:
      oneOf:
        - type: object
          required:
            - sha
          properties:
            sha:
              type: string
        - type: object
          required:
            - branch
          properties:
            branch:
              type: string
  securitySchemes:
    x-chroma-token:
      type: apiKey
      in: header
      name: x-chroma-token

````